Package org.eclipse.mat.util

# Class SimpleStringTokenizer

java.lang.Object
org.eclipse.mat.util.SimpleStringTokenizer

All Implemented Interfaces:
  `Iterable<String>`

public final class SimpleStringTokenizer extends Object implements Iterable<String>
A simple way of splitting up a String.

## Constructor Summary

Constructors
Constructor
Description
`SimpleStringTokenizer(String subject, char delim)`
Gets the different part of a string which are separated by the delimiter.

## Method Summary

Modifier and Type
Method
Description
`Iterator<String>`
`iterator()`
`static String[]`
`split(String subject, char delim)`
Splits the string at the delimiter character.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### SimpleStringTokenizer

public SimpleStringTokenizer(String subject, char delim)
Gets the different part of a string which are separated by the delimiter.

Parameters:
  `subject` - the string
  `delim` - the character to split at

## Method Details

### iterator

public Iterator<String> iterator()

Specified by:
  `iterator` in interface `Iterable<String>`

### split

public static String[] split(String subject, char delim)
Splits the string at the delimiter character.

Parameters:
  `subject` - the string to split
  `delim` - the character to split at
Returns:
  the string split multiple times at the delimiter, trimmed of spaces